Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class ThreadPolicyHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.ThreadPolicyHelper

public class ThreadPolicyHelper
extends java.lang.Object

Helper class for : ThreadPolicy

Author:
  OpenORB Compiler

Constructor Summary
`ThreadPolicyHelper()`

Method Summary
`static ThreadPolicy` | `extract(Any a)` Extract ThreadPolicy from an any
`static java.lang.String` | `id()` Return the ThreadPolicy IDL ID
`static void` | `insert(Any a, ThreadPolicy t)` Insert ThreadPolicy into an any
`static ThreadPolicy` | `narrow(Object obj)` Narrow CORBA::Object to ThreadPolicy
`static ThreadPolicy` | `read(InputStream istream)` Read ThreadPolicy from a marshalled stream
`static TypeCode` | `type()` Return the ThreadPolicy TypeCode
`static ThreadPolicy` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ThreadPolicy
`static void` | `write(OutputStream ostream, ThreadPolicy value)` Write ThreadPolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadPolicyHelper

    public ThreadPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ThreadPolicy t)

  Insert ThreadPolicy into an any
  Parameters:
    `a` - an any
    `t` - ThreadPolicy value

### extract

    public static ThreadPolicy extract(Any a)

  Extract ThreadPolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ThreadPolicy value

### type

    public static TypeCode type()

  Return the ThreadPolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ThreadPolicy IDL ID
  Returns:
    an ID

### read

    public static ThreadPolicy read(InputStream istream)

  Read ThreadPolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ThreadPolicy value

### write

    public static void write(OutputStream ostream,
                             ThreadPolicy value)

  Write ThreadPolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ThreadPolicy value

### narrow

    public static ThreadPolicy narrow(Object obj)

  Narrow CORBA::Object to ThreadPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ThreadPolicy Object

### unchecked_narrow

    public static ThreadPolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ThreadPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ThreadPolicy Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD